Subject: [lisp] Do we need a 8113bis?

From: Dino Farinacci <[email-masked]>
Date: Thu, 4 May 2017 11:57:24 -0700

Since the reference in RFC8113 points to RFC6830 for Packet Type definitions and we are moving them from RFC6830 to RFC6833bis for the data-plane/control-plane document separation effort, should we not have a RFC8113bis that points to RFC6883bis?

And then RFC8113bis can put in the updated list from RFC6833bis. Comments?

Dino

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 4 May 2017 15:56:44 -0400

(speaking personally)
I would think that RFC 6830bis and RFC 6833bis can update the relevant 
registry entries.
Whether that means they formally update RFC 8113 or not is a detail we 
can determine later.  Registries can get changed, updated, etc.  That is 
why we have registries.

Yours,
Joel

On 5/4/17 2:57 PM, Dino Farinacci wrote:
> Since the reference in RFC8113 points to RFC6830 for Packet Type
> definitions and we are moving them from RFC6830 to RFC6833bis for the
> data-plane/control-plane document separation effort, should we not have
> a RFC8113bis that points to RFC6883bis?
>
> _______________________________________________
> lisp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lisp
>

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 4 May 2017 14:13:17 -0700

I can go along with this thinking and actually agree. 

Thanks,
Dino

> On May 4, 2017, at 12:56 PM, Joel M. Halpern <[email-masked]> wrote:
> 
> (speaking personally)
> I would think that RFC 6830bis and RFC 6833bis can update the relevant registry entries.
> Whether that means they formally update RFC 8113 or not is a detail we can determine later.  Registries can get changed, updated, etc.  That is why we have registries.
> 
> Yours,
> Joel
>

---

From: <[email-masked]>
Date: Fri, 5 May 2017 06:15:22 +0000

Re-,

The bis document can update these entries and/or add new entries without updating RFC8113. Otherwise we would need to update that RFC each time there is a document asking for a new assignment (5-7 or 9-14)!

Please add a note to the IANA section to ask IANA to update the references for these entries to the bis document.

Thank you.

Cheers,
Med

De : lisp [mailto:[email-masked]] De la part de Dino Farinacci
Envoyé : jeudi 4 mai 2017 20:57
À : [email-masked] list
Objet : [lisp] Do we need a 8113bis?

Dino

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 4 May 2017 23:24:57 -0700

I am going to wait for direction from the chairs/AD before making anymore changes. I have posted what I thought was a decent compromise that brought in ideas from various commenters.

Dino

> On May 4, 2017, at 11:15 PM, <[email-masked]> <[email-masked]> wrote:
> 
> Re-,
>

---

From: <[email-masked]>
Date: Fri, 5 May 2017 06:55:15 +0000

Re-,

I checked the new version and do still think IANA section needs work. 

I won't reiterate those related to the type messages. Below some more comments: 

* LISP ACT values: there is mismatch between the values in the core text and those in the IANA registry. The bis document should make it clear what actions are required to align both.

Actions for the following are needed:

      (3) Drop/No-Reason:  A packet that matches this map-cache entry is
          dropped.  An ICMP Destination Unreachable message SHOULD be
          sent.

      (4) Drop/Policy-Denied:  A packet that matches this map-cache
          entry is dropped.  The reason for the Drop action is that a
          Map-Request for the target-EID is being policy denied by
          either an xTR or the mapping system.

      (5) Drop/Authentication-Failure:  A packet that matches this map-
          cache entry is dropped.  The reason for the Drop action is
          that a Map-Request for the target-EID fails an authentication
          verification-check by either an xTR or the mapping system.

* What is the point in adding flag bits into an IANA section (7.2) while no IANA action is required out there?

* Section "LISP Address Type Codes" discuses LCAF, which is managed in a distinct registry (and it is out of scope of this document). The current "LISP Address Type Codes" registry is empty, btw.

* "LISP Algorithm ID Numbers": There is no such registry. Are you referring to the old "LISP Key ID Numbers". In such case, the text should make it clear what action are you requiring from IANA.

Cheers,
Med

> -----Message d'origine-----
> De : Dino Farinacci [mailto:[email-masked]]
> Envoyé : vendredi 5 mai 2017 08:25
> À : BOUCADAIR Mohamed IMT/OLN
> Cc : [email-masked] list
> Objet : Re: [lisp] Do we need a 8113bis?
> 
> I am going to wait for direction from the chairs/AD before making anymore
> changes. I have posted what I thought was a decent compromise that brought
> in ideas from various commenters.
> 
> Dino
> 
> > The bis document can update these entries and/or add new entries without
> updating RFC8113. Otherwise we would need to update that RFC each time
> there is a document asking for a new assignment (5-7 or 9-14)!
> >
> > Please add a note to the IANA section to ask IANA to update the
> references for these entries to the bis document.
> >
> > Thank you.
> >
> > Cheers,
> > Med
> >
> data-plane/control-plane document separation effort, should we not have a
> RFC8113bis that points to RFC6883bis?
> >

---

From: Dino Farinacci <[email-masked]>
Date: Fri, 5 May 2017 12:34:08 -0700

I will fix the IANA Considerations section based on your comments. Thanks Med.

Dino

> On May 4, 2017, at 11:55 PM, [email-masked] wrote:
> 
> Re-,
>

---

From: Dino Farinacci <[email-masked]>
Date: Sat, 6 May 2017 11:28:21 -0700

Here is the proposed changes to rfc6833bis to reflect the enclosed comments. Please let me know if these changes are acceptable.

I am not sure if we should delete the Address Type Registry. Maybe it shoudl be stated that all address types use values from the AFI Registry. Comments?

Dino

---

From: <[email-masked]>
Date: Tue, 9 May 2017 06:15:05 +0000

Hi Dino,

Please see inline.

Cheers,
Med

De : Dino Farinacci [mailto:[email-masked]]
Envoyé : samedi 6 mai 2017 20:28
À : BOUCADAIR Mohamed IMT/OLN
Cc : [email-masked] list
Objet : Re: [lisp] Do we need a 8113bis?

Here is the proposed changes to rfc6833bis to reflect the enclosed comments. Please let me know if these changes are acceptable.
[Med] Thank you for handling this. Two minor typos in 7.2:

·         s/New ACT values an be allocated/New ACT values can be allocated

·         The document changes the name of ACT code 3 from “Drop” to “Drop/No-Reason”. The text should be updated accordingly.
I am not sure if we should delete the Address Type Registry. Maybe it shoudl be stated that all address types use values from the AFI Registry. Comments?
[Med] I do think deleting the “LISP Address Type Codes” registry is the right approach here. IMO, there is no need to add new text. The specification is clear enough about address type values (see 4.1):
   All LISP control-plane messages use Address Family Identifiers (AFI)
   [AFI<https://tools.ietf.org/html/draft-ietf-lisp-rfc6833bis-04#ref-AFI>] or LISP Canonical Address Format (LCAF) [RFC8060<https://tools.ietf.org/html/rfc8060>] formats to
   encode either fixed or variable length addresses.

Dino

> On May 4, 2017, at 11:55 PM, [email-masked]<mailto:[email-masked]> wrote:
>
> Re-,
>
>> Cc : [email-masked]<mailto:[email-masked]> list
>>> On May 4, 2017, at 11:15 PM, <[email-masked]<mailto:[email-masked]>>
>> <[email-masked]<mailto:[email-masked]>> wrote:
>>>
>>> Re-,
>>>
>>> À : [email-masked]<mailto:[email-masked]> list

---

From: Dino Farinacci <[email-masked]>
Date: Tue, 9 May 2017 10:44:39 -0700

> Please see inline.

Thanks for the quick feedback. See new diff file enclosed.

> ·         s/New ACT values an be allocated/New ACT values can be allocated

Changed/fixed.

> ·         The document changes the name of ACT code 3 from “Drop” to “Drop/No-Reason”. The text should be updated accordingly.

Ack. Fixed.

>    [AFI] or LISP Canonical Address Format (LCAF) [RFC8060] formats to

I won’t make any change from what we have right now. Leaves time for discussion. 

Thanks,
Dino

---

From: <[email-masked]>
Date: Wed, 10 May 2017 05:23:57 +0000

Hi Dino,

Looks good to me. Thank you.

Cheers,
Med

De : Dino Farinacci [mailto:[email-masked]]
Envoyé : mardi 9 mai 2017 19:45
À : BOUCADAIR Mohamed IMT/OLN
Cc : [email-masked] list
Objet : Re: [lisp] Do we need a 8113bis?

Changed/fixed.

Ack. Fixed.

Thanks,
Dino

---

From: Dino Farinacci <[email-masked]>
Date: Wed, 10 May 2017 09:16:33 -0700

Great, I’ll post new version today.

Dino

> On May 9, 2017, at 10:23 PM, <[email-masked]> <[email-masked]> wrote:
> 
> Hi Dino,
>